[pkg-fso-commits] [SCM] Various non-packaged files branch, master, updated. 6b1a3a1e217859ec9eb7ddf4d0ccdfe73275572a
Luca Capello
luca at pca.it
Tue Nov 18 00:05:17 UTC 2008
The following commit has been merged in the master branch:
commit 6b1a3a1e217859ec9eb7ddf4d0ccdfe73275572a
Author: Luca Capello <luca at pca.it>
Date: Tue Nov 18 01:04:13 2008 +0100
install.sh: /boot on vfat is no more supported (#315493)
diff --git a/install.sh b/install.sh
index 4b05787..1ec820b 100755
--- a/install.sh
+++ b/install.sh
@@ -177,7 +177,8 @@ Stages:
fso Installs packages required to use the Zhone GUI
configuration Configures various parts of the system, such as
the X server
- kernel Downloads and installs kernel package
+ kernel Downloads and installs the Debian kernel package
+ (only when $SD_PART1_FS is set to ext2)
unmount Unmounts the Debian filesystem mounted at $INST_DIR
Unsupported or buggy stages, use at your own risk:
@@ -206,6 +207,29 @@ if [ $# -gt 1 ]; then
fi
+# /boot on vfat is no more supported (http://bugs.debian.org/315493)
+# http://lists.linuxtogo.org/pipermail/smartphones-userland/2008-November/000502.html
+if [ "$SD_PART1_FS" = "vfat" ]; then
+ cat <<__END__
+***********
+* WARNING *
+***********
+
+For the /boot partition you have chosen to use vfat, which is not a
+POSIX-compliant filesystem.
+
+Because dpkg, the Debian package manager, does not support non-POSIX
+filesystems, the Debian kernel package can not be installed. More
+information are available at http://bugs.debian.org/315493.
+
+Thus, you should continue at your own risk.
+
+Press any key within 5 seconds to quit
+__END__
+ five_seconds_to_quit
+fi
+
+
# let's the fun start!
echo "Running stage $1"
@@ -600,6 +624,15 @@ kernel)
# Stage kernel
#
echo "Installing kernel package"
+
+if [ "$SD_PART1_FS" = "vfat" ]; then
+ echo "E: when using $SD_PART1_FS as filesystem for the first microSD card"
+ echo " partition, you should manully install the kernel, since dpkg"
+ echo " does not support non-POSIX filesystems:"
+ echo " http://bugs.debian.org/bug=315493"
+ exit 1
+fi
+
chroot $INST_DIR /bin/sh -e <<__END_CHROOT__
apt-get --yes install linux-image-2.6.24-openmoko-gta02
apt-get clean
--
Various non-packaged files
More information about the pkg-fso-commits
mailing list